Skip to main content
POST
Create a status page surface

Path Parameters

statusPageId
string
required

Status page ID (UUID) or slug.

Required string length: 1 - 64

Body

application/json
key
string
required

Stable key of a section or surface, unique within the page: lowercase letters, digits, '.', '_' and '-'.

Pattern: ^[a-z0-9](?:[a-z0-9._-]{0,62}[a-z0-9])?$
name
string
required
Required string length: 1 - 120
description
string | null

Short text shown under the surface's name.

Maximum string length: 500
sectionId
string<uuid> | null

Section to place the surface in; omit for the top level.

position
integer
Required range: 0 <= x <= 9007199254740991
showUptime
boolean

Response

200 - application/json

OK

surface
object
required